Deprecated – Decommissioning planned for 2027Mangopay plans to decommission the Banking Alias endpoints in 2027.Platforms using them should plan to re-integrate using the Virtual Account endpoints.Existing Banking Alias objects are available via the GET View a Virtual Account endpoint by using the Banking Alias Id and WalletId as path parameters.
Note - Payee confirmation in the UKWhen the user sets up the payee with their bank, Mangopay UK or Mangopay SA is displayed as the account holder name. You should communicate this to them to avoid confusion.
Query parameters
string
required
The unique identifier of the banking alias.
Responses
200 - FR
string
Max. length: 255 charactersThe owner of the banking alias, which is set automatically by Mangopay since September 15, 2025 (read more).If the User owning the attached wallet has UserCategory of OWNER and the KYCLevel of REGULAR, then the OwnerName is set to the FirstName and LastName values for a Natural User or the Name value for a Legal User. In this case, the VirtualAccountPurpose in the API response is USER_OWNED.If the User is not KYC verified and an OWNER, then the OwnerName is set to “MGP PlatformTradingName” in standard cases, or else “Mangopay” for Marketplace Payment Extension (MPE) workflows. In this case, the VirtualAccountPurpose in the API response is COLLECTION.Caution: Your platform must ensure that you use the OwnerName returned in the API response.
string
The IBAN (international bank account number) of the banking alias.
string
The BIC (international identifier of the bank) for the banking alias.
string
Returned values:COLLECTION, USER_OWNEDThe type of the virtual account:
COLLECTION - Owned by Mangopay and usable by platforms and/or users for the purpose of collecting and reconciling incoming funds paid by users.
USER_OWNED - Owned by the wallet owner, enabling them to accept and store funds and make payments. Offering User-Owned Accounts requires your platform to sign the VOP contract amendment.
The unique identifier of the user whose wallet is credited, in other words, the Owner of the wallet for which the alias is created.
Note: Once the banking alias is created, it is not possible to change the CreditedUserId.
string
Returned values: DE, DK, ES, FR, GB, LU, PLThe country of the banking alias. The country must correspond to the currency of the wallet.
string
Max. length: 255 charactersCustom data that you can add to this object.
Unix timestamp
The date and time at which the object was created.
boolean
Whether or not the banking alias is active.Caution: Setting this value to false is irreversible.
string
Returned values:IBAN, GBThe type of banking alias.The GB value is only returned if the Country is GB.
string
Max length: 128 characters (see data formats for details)The unique identifier of the object.
string
The unique identifier of the wallet.
200 - GB
string
Max. length: 255 charactersThe owner of the banking alias, which is set automatically by Mangopay since September 15, 2025 (read more).If the User owning the attached wallet has UserCategory of OWNER and the KYCLevel of REGULAR, then the OwnerName is set to the FirstName and LastName values for a Natural User or the Name value for a Legal User. In this case, the VirtualAccountPurpose in the API response is USER_OWNED.If the User is not KYC verified and an OWNER, then the OwnerName is set to “MGP PlatformTradingName” in standard cases, or else “Mangopay” for Marketplace Payment Extension (MPE) workflows. In this case, the VirtualAccountPurpose in the API response is COLLECTION.Caution: Your platform must ensure that you use the OwnerName returned in the API response.
string
The IBAN (international bank account number) of the banking alias.
string
The BIC (international identifier of the bank) for the banking alias.
string
Returned values:COLLECTION, USER_OWNEDThe type of the virtual account:
COLLECTION - Owned by Mangopay and usable by platforms and/or users for the purpose of collecting and reconciling incoming funds paid by users.
USER_OWNED - Owned by the wallet owner, enabling them to accept and store funds and make payments. Offering User-Owned Accounts requires your platform to sign the VOP contract amendment.
The banking alias details in local format returned if applicable for the Country (e.g. GB), otherwise null
Show child attributes
string
The sort code of the banking alias in local format.
string
The account number of the banking alias in local format.
string
The unique identifier of the user whose wallet is credited, in other words, the Owner of the wallet for which the alias is created.
Note: Once the banking alias is created, it is not possible to change the CreditedUserId.
string
Returned values: DE, DK, ES, FR, GB, LU, PLThe country of the banking alias. The country must correspond to the currency of the wallet.
string
Max. length: 255 charactersCustom data that you can add to this object.
Unix timestamp
The date and time at which the object was created.
boolean
Whether or not the banking alias is active.Caution: Setting this value to false is irreversible.
string
Returned values:IBAN, GBThe type of banking alias.The GB value is only returned if the Country is GB.
string
Max length: 128 characters (see data formats for details)The unique identifier of the object.
import com.google.gson.Gson;import com.google.gson.GsonBuilder;import com.mangopay.MangoPayApi;import com.mangopay.entities.BankingAlias;public class ViewBankingAlias { public static void main(String[] args) throws Exception { MangoPayApi mangopay = new MangoPayApi(); mangopay.getConfig().setClientId("your-client-id"); mangopay.getConfig().setClientPassword("your-api-key"); BankingAlias bankingAlias = mangopay.getBankingAliases().get("wltbank_m_01HTHTXVG59ATHA89ZHG2CKADA"); Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create(); String prettyJson = prettyPrint.toJson(bankingAlias); System.out.println(prettyJson); }}
using MangoPay.SDK;using MangoPay.SDK.Entities.PUT;using Newtonsoft.Json;class Program{ static async Task Main(string[] args) { MangoPayApi api = new MangoPayApi(); api.Config.ClientId = "your-client-id"; api.Config.ClientPassword = "your-api-key"; var bankingAliasId = "wltbank_m_01J3CZJSQW4V3BGHGTNM34EA1P"; var viewBankingAlias = await api.BankingAlias.GetAsync(bankingAliasId); string prettyPrint = JsonConvert.SerializeObject(viewBankingAlias, Formatting.Indented); Console.WriteLine(prettyPrint); }}
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Mangopay docs","description":"Product guides and API reference for Mangopay's wallet-first payment infrastructure","colors":{"primary":"#00000E","light":"#FFFFFF","dark":"#12282F"},"logo":{"light":"https://mintcdn.com/mangopay/EHwmKiFob2p48DHF/logo/mgp-light.svg?fit=max\u0026auto=format\u0026n=EHwmKiFob2p48DHF\u0026q=85\u0026s=f2bf5f88a1d39831377b5952b46b031c","dark":"https://mintcdn.com/mangopay/EHwmKiFob2p48DHF/logo/mgp-dark.svg?fit=max\u0026auto=format\u0026n=EHwmKiFob2p48DHF\u0026q=85\u0026s=98389a9237e8b1abb2aa34b3ca686ee4"},"favicon":"https://mintcdn.com/mangopay/EHwmKiFob2p48DHF/logo/mgp-favicon.svg?fit=max\u0026auto=format\u0026n=EHwmKiFob2p48DHF\u0026q=85\u0026s=ee5912ec577e98b0b72a31c063e9325f","api":{"playground":{"display":"simple"}},"background":{"color":{"light":"#FFFFFF","dark":"#090D0D"}},"navbar":{"links":[{"href":"https://mangopay.com/contact","label":"Contact sales"}],"primary":{"type":"button","label":"Dashboard","href":"https://hub.mangopay.com"}},"seo":{"metatags":{"og:image":"/images/seo_og_image_blank.png"},"indexing":"navigable"},"fonts":{"family":"Inter"},"styling":{"eyebrows":"section","latex":false},"integrations":{"gtm":{"tagId":"GTM-PM2TV97"},"hotjar":{"hjid":"5086558","hjsv":"6"}},"contextual":{"options":["copy","view"],"display":"header"},"interaction":{"drilldown":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"mangopay","hasAudioNarration":false,"actualSubdomain":"mangopay","customDomains":["docs.mangopay.com"],"gitSource":{"type":"gitlab","owner":"mangopay/dev/offer","repo":"docs","projectId":76955225,"deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"feedback":{"thumbs":true,"edits":false},"entitlements":{"AI_CHAT":{"status":"DISABLED"},"REMOVE_BRANDING":{"status":"DISABLED"},"CONTEXTUAL_FEEDBACK":{"status":"DISABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"DISABLED"}},"buildId":"6ad9d6b35b6514564d510183","clientVersion":"0.0.4142","searchFilterCounts":[{"language":"default","tag":"API reference","count":338},{"language":"default","tag":"Guides","count":101},{"language":"default","tag":"APM pay-ins","count":59},{"language":"default","tag":"Integration","count":52},{"language":"default","tag":"Payments","count":40},{"language":"default","tag":"Disputes","count":34},{"language":"default","tag":"Banking pay-ins","count":33},{"language":"default","tag":"Card pay-ins","count":33},{"language":"default","tag":"Echo","count":32},{"language":"default","tag":"Users","count":31}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"custom.css","content":"/* cyrillic-ext */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZJhiI2B.woff2) format('woff2');\n unicode-range: U+0460-052F, U+1C80-1C8A, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;\n}\n/* cyrillic */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZthiI2B.woff2) format('woff2');\n unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;\n}\n/* greek-ext */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZNhiI2B.woff2) format('woff2');\n unicode-range: U+1F00-1FFF;\n}\n/* greek */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZxhiI2B.woff2) format('woff2');\n unicode-range: U+0370-0377, U+037A-037F, U+0384-038A, U+038C, U+038E-03A1, U+03A3-03FF;\n}\n/* vietnamese */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZBhiI2B.woff2) format('woff2');\n unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;\n}\n/* latin-ext */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZFhiI2B.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZ9hiA.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* cyrillic-ext */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: italic;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbX2o-flEEny0FZhsfKu5WU4xD-Cw6nSHrV.woff2) format('woff2');\n unicode-range: U+0460-052F, U+1C80-1C8A, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;\n}\n/* cyrillic */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: italic;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbX2o-flEEny0FZhsfKu5WU4xD-CwenSHrV.woff2) format('woff2');\n unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;\n}\n/* greek */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: italic;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbX2o-flEEny0FZhsfKu5WU4xD-CwCnSHrV.woff2) format('woff2');\n unicode-range: U+0370-0377, U+037A-037F, U+0384-038A, U+038C, U+038E-03A1, U+03A3-03FF;\n}\n/* vietnamese */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: italic;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbX2o-flEEny0FZhsfKu5WU4xD-CwynSHrV.woff2) format('woff2');\n unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;\n}\n/* latin-ext */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: italic;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbX2o-flEEny0FZhsfKu5WU4xD-Cw2nSHrV.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: italic;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbX2o-flEEny0FZhsfKu5WU4xD-CwOnSA.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* cyrillic-ext */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD2OwG_TA.woff2) format('woff2');\n unicode-range: U+0460-052F, U+1C80-1C8A, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;\n}\n/* cyrillic */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD_OwG_TA.woff2) format('woff2');\n unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;\n}\n/* greek */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD4OwG_TA.woff2) format('woff2');\n unicode-range: U+0370-0377, U+037A-037F, U+0384-038A, U+038C, U+038E-03A1, U+03A3-03FF;\n}\n/* vietnamese */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD0OwG_TA.woff2) format('woff2');\n unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;\n}\n/* latin-ext */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD1OwG_TA.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD7OwE.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n@font-face{font-family:\"AeonikMedium\";src:url(\"https://feature-redesign-2025--dev-mangopay.netlify.app/fonts/aeonik/aeonik-medium.woff\")\n format(\"woff\")}#chat-assistant-disclaimer-text{font-size:0.875rem!important;line-height:1.25rem!important;color:#4b5563!important}#chat-assistant-disclaimer-text .dark{color:#9ca3af!important}.pill{display:inline-flex;margin:12px 0px;padding:0px 8px;justify-content:center;align-items:center;gap:4px;border-radius:4px;font-family:\"JetBrains Mono\", monospace;font-size:14px;font-style:normal;font-weight:700;line-height:20px;text-transform:uppercase}.pill-green{background-color:#89E481;color:#12282F}.pill-orange{background-color:#FFD260;color:#12282F}.pill-red{background-color:#F5C1AE;color:#12282F}.pill-blue{background-color:#AAE0FF;color:#12282F}.pill-gray{margin:0px 12px 0px 0px;background-color:#f5f3f5;color:#2d0f37}.background-color-yellow{background-color:#12282f}.dark .background-color-yellow{background-color:#e5e5e5}.background-color-yellow:hover{background-color:#2a3e44}.dark .background-color-yellow:hover{background-color:#ffffff}.background-color-yellow:hover svg path:first-child{fill:#ffffff}.background-color-yellow:hover svg path:last-child{stroke:#ffffff}.dark .background-color-yellow svg path:first-child{fill:#00000e}.dark .background-color-yellow svg path:last-child{stroke:#00000e}.dark .background-color-yellow:hover svg path:first-child{fill:#00000e}.dark .background-color-yellow:hover svg path:last-child{stroke:#00000e}.card-header-color-yellow{color:#ffffff!important}.dark .card-header-color-yellow{color:#00000e!important}.background-color-lavander{background-color:#dbd9ff}.dark .background-color-lavander{background-color:#b6b2ff}.background-color-lavander:hover{background-color:#b6b2ff}.dark .background-color-lavander:hover{background-color:#867eff}.background-color-lavander:hover svg path:first-child{fill:#00000e}.background-color-lavander:hover svg path:last-child{stroke:#00000e}#search-bar-entry span{color:inherit}#topbar-cta-button a:hover .bg-primary-dark{--primary-dark: 65 83 89}html.dark #topbar-cta-button .bg-primary-dark{--primary-dark: 34 37 37}html.dark #topbar-cta-button a:hover .bg-primary-dark{--primary-dark: 58 61 61}:is(.dark #navbar>div:nth-child(2) .dark\\:border-primary-light){border-color:white}.flex.font-mono.text-sm .font-bold.text-primary.dark\\:text-primary-light{font-size:15px}.flex.font-mono.text-sm .font-bold.text-primary.dark\\:text-primary-light~div>div{color:rgb(var(--gray-600))}html.dark .flex.font-mono.text-sm .font-bold.text-primary.dark\\:text-primary-light~div>div{color:rgb(var(--gray-200))}.flex.font-mono.text-sm~.mt-4.prose-sm.prose-gray.dark\\:prose-invert>ul,.flex.font-mono.text-sm~.mt-4.prose-sm.prose-gray.dark\\:prose-invert>ol,.flex.font-mono.text-sm~.mt-4.prose-sm.prose-gray.dark\\:prose-invert>p{font-size:15px;line-height:1.5rem}html.dark .prose :where(a):not(:where([class~=not-prose],[class~=not-prose] *)){color:inherit;border-bottom-color:white}#page-title{font-family:\"AeonikMedium\", sans-serif;font-weight:500;font-size:48px;line-height:56px}code.language-ruby,code.language-dotnet,code.language-python,code.language-java{color:#fff}code.language-php span,code.language-ruby span{color:#fff}.prose :where(strong):not(:where([class~=\"not-prose\"] *)){color:inherit}:is(.dark .prose strong){color:inherit}#text{color:#fff}.dark .card-header h2,.dark .card-body p{color:#2d0f37}html:not(.dark) .prose{color:#2d0f37}html.dark .prose{color:white}html:not(.dark) .text-gray-600,html:not(.dark) .text-gray-700,html:not(.dark) .text-gray-800,html:not(.dark) .text-gray-900{color:#2d0f37}html.dark .dark\\:text-gray-200,html.dark .dark\\:text-gray-300{color:white}h1{font-weight:800}h2,h3,h4,h5,h6{font-weight:600!important}html.dark h1,html.dark h2,html.dark h3,html.dark h4,html.dark h5,html.dark h6{color:white}html:not(.dark) h1,html:not(.dark) h2,html:not(.dark) h3,html:not(.dark) h4,html:not(.dark) h5,html:not(.dark) h6{color:#2d0f37}.resize-text{font-size:15px}code.language-ruby,code.language-python,code.language-java{color:#fff}code.language-php span,code.language-ruby span{color:#fff}#text{color:#fff}.dark .card-header h2,.dark .card-body p{color:#2d0f37}.prose :where(ol>li):not(:where([class~=\"not-prose\"] *))::marker{color:inherit}.prose :where(blockquote):not(:where([class~=\"not-prose\"] *)){border-color:#2d0f37;color:#2d0f37}:is(.dark .prose blockquote){border-color:white;color:white}html #sidebar{text-wrap:pretty}html #sidebar li{transition:0.15s}html.dark #sidebar .dark\\:text-gray-400 p{color:rgb(159, 158, 160)}:is(.dark .prose a){color:white}:is(.dark .dark\\:decoration-gray-500){text-decoration-color:inherit}.home-card-grid{display:grid;gap:0 1rem;grid-template-columns:1fr}@media (min-width: 640px){.home-card-grid-2{grid-template-columns:repeat(2, minmax(0, 1fr))}.home-card-grid-3{grid-template-columns:repeat(3, minmax(0, 1fr))}}.card,.card *{transition-duration:150ms}.card div.h-6.w-6{width:auto;height:auto}.dark .card:not(.card-variation){background:rgb(20, 23, 23);border:none}.dark .card:not(.card-variation):hover{background-color:#2d2e2f}.card:not(.card-variation):not(.sdk-card)>div{padding:1.5rem}.card:not(.card-variation) p{font-size:16px;margin-top:1rem}.card.shadow-md{box-shadow:unset}.card-variation .card-header{display:flex;justify-content:space-between;align-items:center}.card-variation.background-color-yellow:hover .card-header>h2{color:#ffffff}.card-variation.background-color-lavander:hover .card-header>h2{color:#00000e}.card-variation .card-header>h2{font-size:1.5rem}.card-variation .card-body{margin-top:48px}.card-variation .card-body p{line-height:24px}.card-variation.background-color-yellow:hover .card-body p{color:#ffffff}.dark .card-variation.background-color-yellow:hover .card-body p{color:#00000e}.card-variation.background-color-lavander:hover .card-body p{color:#00000e}.sdk-card{background-color:#f5f5f6;border:hidden}:not(.dark).sdk-card:hover{border:hidden;background-color:#e5e5e9;color:#00000e!important}.dark .sdk-card p{color:#dfdee0}table{border:none;font-size:15px!important;line-height:1.5rem!important}.hx-inside h4{margin-top:0!important}.prose :where(thead th):not(:where([class~=\"not-prose\"] *)){color:#2d0f37}.dark .prose :where(thead th):not(:where([class~=\"not-prose\"] *)){color:white}.header{vertical-align:middle;text-align:left;padding:10px 16px;font-weight:600}.header-compact{vertical-align:middle;text-align:left;font-weight:600}.header-compact-2{padding:10px 16px 10px 0px;vertical-align:top;text-align:left;font-weight:600}.compact{white-space:nowrap}.table-content{padding:10px 16px;vertical-align:top}.table-content p{margin-top:0}.table-content p:last-child{margin-bottom:0}.table-content li{padding-left:1.5rem!important}.table-content>ul:first-child{margin-top:0px!important;margin-bottom:0px!important;vertical-align:top}.table-content>ul:first-child>li:first-child{margin-top:0px!important;margin-bottom:0px!important;vertical-align:top}td:first-child,th:first-child,.dark td:first-child,.dark th:first-child{border-left:none}td:last-child,th:last-child,.dark td:last-child,.dark th:last-child{border-right:none}th{border-right:1px solid #d0d3d0;border-left:1px solid #d0d3d0;border-bottom:1px solid #d0d3d0;border-collapse:collapse}td{border-bottom:1px solid #d0d3d0;border-right:1px solid #d0d3d0;border-left:none;border-collapse:collapse}.dark td{border-bottom:1px solid #4e5251;border-right:1px solid #4e5251;border-left:none}.dark th{border-bottom:1px solid #4e5251;border-right:1px solid #4e5251}.header-column .header{vertical-align:top;margin-top:0em!important}.row-span{border-right:none;border-left:1px solid #d0d3d0}.dark .row-span{border-right:none;border-left:1px solid #4e5251}.no-borders{border:hidden!important}.hug-content{width:1%;white-space:nowrap}.min-height-4-lines{height:7.25rem}.min-height-3-lines{height:5.75rem}.min-height-2-lines{height:4.25rem}.currenciesTable{height:80vh;border-collapse:separate;border-spacing:0}.currenciesTable td{border-bottom:1px solid #d0d3d0;border-right:1px solid #d0d3d0;border-left:none;border-collapse:collapse;color:#374151}.dark .currenciesTable td{border-bottom:1px solid #4e5251;border-right:1px solid #4e5251;color:#9ca3af}.currenciesTable .header{border:1px solid #d0d3d0;border-top:none;border-left:none;background-color:#f3f5f3!important}.dark .currenciesTable .header{border:1px solid #4e5251;border-top:none;border-left:none;background-color:#171919!important}.currenciesTable thead tr:first-child th:first-child,.currenciesTable tbody th:first-child{position:sticky;left:0;z-index:1}.currenciesTable thead{position:sticky;top:0;z-index:2}.dark .currenciesTable thead{position:sticky;top:0;z-index:2}.header-normal-weight{font-weight:normal}.hide{display:none}.release-notes-cards .card h2{margin-top:0px}.release-notes-cards .card h4{font-size:1rem;font-weight:400}.release-notes-cards .card li{font-size:1rem}.release-notes-cards .pill{margin-top:1.2em!important;margin-bottom:0em!important}.release-notes-page :where(h3):not(:where([class~=\"not-prose\"],[class~=\"not-prose\"] *)){margin-top:0.2em!important}.release-notes-page :where(h2):not(:where([class~=\"not-prose\"],[class~=\"not-prose\"] *)){margin-top:0.2em!important}.release-notes-page .pill{margin-top:1.2em!important}html.dark #content-area button.dark:hover\\:bg-white\\/5{background-color:rgb(20, 23, 23)}html.dark #content-area button.dark:hover\\:bg-white\\/5:hover{background-color:#2d2e2f}#content-area .dark\\:bg-codeblock>button p{font-weight:600}html.dark #content-area div[role=\"listitem\"].border{background-color:rgb(20, 23, 23);border:none}.bar-of-progress{color:#fcb069!important}.bar-of-progress .glow{box-shadow:#fcb069 3px 0px 2px 0px!important}html.dark .bar-of-progress{color:#fcb069!important}html.dark .bar-of-progress .glow{box-shadow:#fcb069 3px 0px 2px 0px!important}.bar-of-progress:after{box-shadow:0px 0px 0px 0px!important}.text-sm.prose{font-size:15px;line-height:1.5rem}:is(.dark :not(pre)>code){border-color:#2d2e2f;background-color:rgb(20, 23, 23)}.not-prose.dark\\:bg-codeblock.rounded-xl{background:rgb(20, 23, 23)}.not-prose.dark\\:bg-codeblock.rounded-xl svg.fill-gray-700{fill:rgb(var(--gray-400))}.not-prose.dark\\:bg-codeblock.rounded-xl>div:first-child{background:#2d2e2f}.not-prose.dark\\:bg-codeblock.rounded-xl>div:first-child>.flex.overflow-x-auto{overflow-y:hidden}::-webkit-scrollbar{height:8px;width:8px}::-webkit-scrollbar-thumb{border-radius:2px;background:rgba(0, 0, 0, 0.1)}html.dark ::-webkit-scrollbar-thumb{background:rgba(255, 255, 255, 0.1)}::-webkit-scrollbar-track{background:rgba(0, 0, 0, 0.1)}html.dark::-webkit-scrollbar-track{background:rgba(255, 255, 255, 0.1)}.z-50.bg-tooltip.max-w-\\[16rem\\].text-center.text-gray-50.text-xs.px-1\\.5.py-1.rounded-lg.border.border-gray-50.dark\\:border-gray-500{font-size:14px;line-height:1.5rem}.lucide-arrow-up-right{visibility:hidden}footer{visibility:hidden}.mermaid{width:100%}.currency-dropdown-container{margin-bottom:25px}.currency-dropdown-label{font-size:15px;margin-right:10px;font-weight:600;display:block;margin-bottom:8px}.currency-dropdown-select{align-items:center;height:2.25rem;line-height:1.5rem;padding-right:0.75em;padding-left:0.875em;border-radius:4px;border:1px solid #ccc;width:25%;box-sizing:border-box;margin-bottom:20px;border-radius:var(--rounded-xl, 0.75rem)}.currency-details-section{font-size:15px}.currency-routes-list{list-style-type:none;padding-left:0}"},{"filePath":"_cookie-banner.css","content":"/* cyrillic-ext */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZJhiI2B.woff2) format('woff2');\n unicode-range: U+0460-052F, U+1C80-1C8A, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;\n}\n/* cyrillic */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZthiI2B.woff2) format('woff2');\n unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;\n}\n/* greek-ext */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZNhiI2B.woff2) format('woff2');\n unicode-range: U+1F00-1FFF;\n}\n/* greek */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZxhiI2B.woff2) format('woff2');\n unicode-range: U+0370-0377, U+037A-037F, U+0384-038A, U+038C, U+038E-03A1, U+03A3-03FF;\n}\n/* vietnamese */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZBhiI2B.woff2) format('woff2');\n unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;\n}\n/* latin-ext */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZFhiI2B.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'Inter';\n font-style: normal;\n font-weight: 400;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/inter/v20/UcCO3FwrK3iLTeHuS_nVMrMxCp50SjIw2boKoduKmMEVuLyfAZ9hiA.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* cyrillic-ext */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: italic;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbX2o-flEEny0FZhsfKu5WU4xD-Cw6nSHrV.woff2) format('woff2');\n unicode-range: U+0460-052F, U+1C80-1C8A, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;\n}\n/* cyrillic */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: italic;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbX2o-flEEny0FZhsfKu5WU4xD-CwenSHrV.woff2) format('woff2');\n unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;\n}\n/* greek */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: italic;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbX2o-flEEny0FZhsfKu5WU4xD-CwCnSHrV.woff2) format('woff2');\n unicode-range: U+0370-0377, U+037A-037F, U+0384-038A, U+038C, U+038E-03A1, U+03A3-03FF;\n}\n/* vietnamese */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: italic;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbX2o-flEEny0FZhsfKu5WU4xD-CwynSHrV.woff2) format('woff2');\n unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;\n}\n/* latin-ext */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: italic;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbX2o-flEEny0FZhsfKu5WU4xD-Cw2nSHrV.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: italic;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbX2o-flEEny0FZhsfKu5WU4xD-CwOnSA.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n/* cyrillic-ext */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD2OwG_TA.woff2) format('woff2');\n unicode-range: U+0460-052F, U+1C80-1C8A, U+20B4, U+2DE0-2DFF, U+A640-A69F, U+FE2E-FE2F;\n}\n/* cyrillic */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD_OwG_TA.woff2) format('woff2');\n unicode-range: U+0301, U+0400-045F, U+0490-0491, U+04B0-04B1, U+2116;\n}\n/* greek */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD4OwG_TA.woff2) format('woff2');\n unicode-range: U+0370-0377, U+037A-037F, U+0384-038A, U+038C, U+038E-03A1, U+03A3-03FF;\n}\n/* vietnamese */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD0OwG_TA.woff2) format('woff2');\n unicode-range: U+0102-0103, U+0110-0111, U+0128-0129, U+0168-0169, U+01A0-01A1, U+01AF-01B0, U+0300-0301, U+0303-0304, U+0308-0309, U+0323, U+0329, U+1EA0-1EF9, U+20AB;\n}\n/* latin-ext */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD1OwG_TA.woff2) format('woff2');\n unicode-range: U+0100-02BA, U+02BD-02C5, U+02C7-02CC, U+02CE-02D7, U+02DD-02FF, U+0304, U+0308, U+0329, U+1D00-1DBF, U+1E00-1E9F, U+1EF2-1EFF, U+2020, U+20A0-20AB, U+20AD-20C4, U+2113, U+2C60-2C7F, U+A720-A7FF;\n}\n/* latin */\n@font-face {\n font-family: 'JetBrains Mono';\n font-style: normal;\n font-weight: 100 800;\n font-display: swap;\n src: url(/_mintlify/assets/fonts/google/s/jetbrainsmono/v24/tDbV2o-flEEny0FZhsfKu5WU4xD7OwE.woff2) format('woff2');\n unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;\n}\n@media (min-width: 600px){#onetrust-button-group{display:flex!important;justify-content:space-between!important}}@media (min-width: 600px){#onetrust-button-group{display:flex!important;flex-direction:row-reverse!important}}@media (min-width: 600px){#onetrust-button-group button{margin-right:12px!important}}#onetrust-pc-btn-handler,#onetrust-reject-all-handler,#onetrust-accept-btn-handler,.ot-pc-refuse-all-handler,.save-preference-btn-handler,#accept-recommended-btn-handler{border-radius:56px!important;font-size:12px!important;font-family:\"JetBrains Mono\", monospace!important;font-weight:500!important;transition:0.2s;min-width:0!important;letter-spacing:normal}#onetrust-reject-all-handler,.ot-pc-refuse-all-handler{border:1px solid #eae7eb!important;color:#12282f!important;background-color:transparent!important;padding:10px 24px!important}#onetrust-reject-all-handler:hover,.ot-pc-refuse-all-handler:hover,#onetrust-reject-all-handler:focus,.ot-pc-refuse-all-handler:focus{border-color:#eae7eb!important;background-color:#eae7eb!important;opacity:1!important}#onetrust-accept-btn-handler,.save-preference-btn-handler,#accept-recommended-btn-handler{background:#867eff!important;border:1px solid #867eff!important;color:#ffffff!important;padding:10px 24px!important}#onetrust-accept-btn-handler:hover,.save-preference-btn-handler:hover,#accept-recommended-btn-handler:hover,#onetrust-accept-btn-handler:focus,.save-preference-btn-handler:focus,#accept-recommended-btn-handler:focus{border-color:#665eff!important;background-color:#665eff!important;color:#ffffff!important;opacity:1!important}#onetrust-pc-btn-handler{border:none!important;color:#12282f!important;background-color:transparent!important;padding:10px 24px!important}#onetrust-pc-btn-handler:hover,#onetrust-pc-btn-handler:focus{color:#12282f!important;padding:10px 24px!important;border-color:#eae7eb!important;background-color:#eae7eb!important;opacity:1!important}#onetrust-consent-sdk #onetrust-pc-sdk div.ot-always-active{color:#867eff!important}#onetrust-consent-sdk #onetrust-pc-sdk .category-menu-switch-handler h3{transition:0.2s}#onetrust-consent-sdk #onetrust-pc-sdk .category-menu-switch-handler:hover h3{color:#867eff}#onetrust-consent-sdk #onetrust-pc-sdk,#onetrust-consent-sdk #onetrust-banner-sdk{border-radius:16px!important}#onetrust-consent-sdk #onetrust-pc-sdk p,#onetrust-consent-sdk #onetrust-banner-sdk p{color:#12282f!important}#onetrust-consent-sdk #onetrust-pc-sdk *:focus,#onetrust-consent-sdk #onetrust-banner-sdk *:focus{outline:none!important}#onetrust-consent-sdk #onetrust-pc-sdk:focus,#onetrust-consent-sdk #onetrust-banner-sdk:focus{outline:none!important}#onetrust-consent-sdk #onetrust-pc-sdk .privacy-notice-link{color:#2d0f37!important;text-decoration:underline!important;transition:0.2s}#onetrust-consent-sdk #onetrust-pc-sdk .privacy-notice-link:hover{color:#867eff!important;text-decoration:underline!important}#onetrust-consent-sdk #onetrust-pc-sdk .ot-active-menu{border-color:#867eff!important}#onetrust-consent-sdk #onetrust-banner-sdk{box-shadow:none!important;background-color:#ffffff!important}@media (min-width: 600px){#onetrust-consent-sdk #onetrust-banner-sdk.otCenterRounded{top:auto!important;bottom:24px!important}}#onetrust-consent-sdk #onetrust-banner-sdk #onetrust-policy-text{font-size:14px!important;line-height:24px!important}#onetrust-consent-sdk #onetrust-banner-sdk a[href]{color:#12282f!important;text-decoration:underline!important;transition:0.2s;font-weight:400!important}#onetrust-consent-sdk #onetrust-banner-sdk a[href]:hover{color:#867eff!important;text-decoration:underline!important}#onetrust-consent-sdk #onetrust-banner-sdk.ot-bnr-w-logo #onetrust-policy{margin-top:30px!important}#onetrust-consent-sdk #onetrust-banner-sdk.ot-bnr-w-logo .ot-bnr-logo{margin-left:0.875rem!important}@media (min-width: 601px){#onetrust-consent-sdk #onetrust-banner-sdk.ot-bnr-w-logo .ot-bnr-logo{margin-left:1.375rem!important}}@media (min-width: 600px){#onetrust-consent-sdk #onetrust-banner-sdk.ot-bnr-w-logo .ot-bnr-logo{margin-left:1.5rem!important}}#onetrust-consent-sdk .ot-bnr-logo{display:none!important}#onetrust-consent-sdk #onetrust-pc-sdk{overflow:hidden!important;background:#f9f8f9!important;box-shadow:0px 8px 12px rgba(45, 12, 45, 0.05),\n 0px -2px 4px rgba(45, 12, 45, 0.02), 0px 2px 4px rgba(0, 0, 0, 0.05)!important}#onetrust-consent-sdk #onetrust-pc-sdk .ot-pc-footer-logo{display:none!important}#onetrust-consent-sdk #onetrust-pc-sdk .save-preference-btn-handler,#onetrust-consent-sdk #onetrust-pc-sdk .ot-pc-refuse-all-handler,#onetrust-consent-sdk #onetrust-pc-sdk #accept-recommended-btn-handler{border-radius:1.38rem!important}#onetrust-consent-sdk #onetrust-pc-sdk .ot-always-active{color:#867eff!important}#onetrust-consent-sdk #onetrust-pc-sdk .ot-sdk-container{border-radius:0!important}#onetrust-consent-sdk #onetrust-pc-sdk #ot-pc-desc br{display:none}.footer-ot-cookie-settings-btn .ot-sdk-show-settings,.legal-page .ot-sdk-show-settings{border:none!important;padding:0!important}.footer-ot-cookie-settings-btn .ot-sdk-show-settings:hover,.legal-page .ot-sdk-show-settings:hover{background-color:transparent!important}.legal-page .ot-sdk-show-settings{color:#867eff!important;font-size:inherit!important}.legal-page .ot-sdk-show-settings:hover{color:#867eff!important}#ot-sdk-cookie-policy .ot-sdk-cookie-policy.ot-sdk-container{box-shadow:none!important}#ot-sdk-cookie-policy .ot-sdk-cookie-policy.ot-sdk-container *{color:#2d0c2d!important}#ot-sdk-cookie-policy .ot-sdk-cookie-policy.ot-sdk-container a{text-decoration:none!important;background-color:transparent!important;color:#867eff!important}#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy #cookie-policy-title,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy .ot-sdk-cookie-policy-group,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy #cookie-policy-description,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy h5,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy h6,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy li,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy p{font-size:1.25rem!important}@media only screen and (min-width: 768px){#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy #cookie-policy-title,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy .ot-sdk-cookie-policy-group,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy #cookie-policy-description,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy h5,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy h6,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy li,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy p{font-size:1.25rem!important;line-height:2rem!important}}#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy a,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy span,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy td{font-size:0.9rem!important}@media only screen and (min-width: 768px){#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy a,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy span,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy td{font-size:1.25rem!important;line-height:2rem!important}}@media only screen and (max-width: 720px){#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy table,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy thead,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy tbody,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy th,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy td,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy tr{display:block!important}}@media only screen and (min-width: 720px){#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy th,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy td{max-width:200px}}#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy table .ot-host,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy table .ot-cookies-type{width:auto!important}@media only screen and (min-width: 720px){#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy table .ot-host,#ot-sdk-cookie-policy-v2.ot-sdk-cookie-policy table .ot-cookies-type{width:25%!important}}@media only screen and (min-width: 400px){#onetrust-banner-sdk .ot-sdk-container,#onetrust-pc-sdk .ot-sdk-container,#ot-sdk-cookie-policy .ot-sdk-container{width:100%!important}}.cookie-page a{display:inline-block;word-wrap:break-word;max-width:100%!important}.cookie-page table .ot-host-td{word-wrap:break-word!important}"}],"page":{"pagePath":"api-reference/banking-aliases/view-banking-alias","slug":"/api-reference/banking-aliases/view-banking-alias","pageMetadata":{"title":"View a Banking Alias","api":"GET /v2.01/{ClientId}/bankingaliases/{BankingAliasId}","tag":"DEPRECATED","description":null,"href":"/api-reference/banking-aliases/view-banking-alias"},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,br:`br`,code:`code`,li:`li`,p:`p`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{Accordion,AccordionGroup,Expandable,Heading,Note,ParamField,ResponseField,Warning}=_components;if(!Accordion)_missingMdxReference(`Accordion`,true);if(!AccordionGroup)_missingMdxReference(`AccordionGroup`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsxs(Warning,{children:[_jsx(_components.p,{children:_jsx(_components.strong,{children:`Deprecated – Decommissioning planned for 2027`})}),_jsx(_components.p,{children:`Mangopay plans to decommission the Banking Alias endpoints in 2027.`}),_jsxs(_components.p,{children:[`Platforms using them should plan to re-integrate using the `,_jsx(_components.a,{href:`/api-reference/virtual-accounts/virtual-account-object`,children:`Virtual Account`}),` endpoints.`]}),_jsxs(_components.p,{children:[`Existing Banking Alias objects are available via the `,_jsx(_components.a,{href:`/api-reference/virtual-accounts/view-virtual-account`,children:`GET View a Virtual Account`}),` endpoint by using the Banking Alias `,_jsx(_components.code,{children:`Id`}),` and `,_jsx(_components.code,{children:`WalletId`}),` as path parameters.`]})]}),`\n`,_jsxs(Note,{children:[_jsx(_components.p,{children:_jsx(_components.strong,{children:`Note - Payee confirmation in the UK`})}),_jsx(_components.p,{children:`When the user sets up the payee with their bank, Mangopay UK or Mangopay SA is displayed as the account holder name. You should communicate this to them to avoid confusion.`})]}),`\n`,_jsx(Heading,{level:`3`,id:`query-parameters`,children:`Query parameters`}),`\n`,_jsx(ParamField,{query:`BankingAliasId`,type:`string`,required:true,id:`param-banking-alias-id`,children:_jsx(_components.p,{children:`The unique identifier of the banking alias.`})}),`\n`,_jsx(Heading,{level:`3`,id:`responses`,children:`Responses`}),`\n`,_jsxs(AccordionGroup,{children:[_jsxs(Accordion,{title:`200 - FR`,defaultOpen:true,id:`200-fr`,children:[_jsxs(ResponseField,{name:`OwnerName`,type:`string`,id:`param-owner-name`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsxs(_components.p,{children:[`The owner of the banking alias, which is set automatically by Mangopay since September 15, 2025 (`,_jsx(_components.a,{href:`/guides/vop/payins#banking-alias-categorization`,children:`read more`}),`).`]}),_jsxs(_components.p,{children:[`If the User owning the attached wallet has `,_jsx(_components.code,{children:`UserCategory`}),` of `,_jsx(_components.code,{children:`OWNER`}),` and the `,_jsx(_components.code,{children:`KYCLevel`}),` of `,_jsx(_components.code,{children:`REGULAR`}),`, then the `,_jsx(_components.code,{children:`OwnerName`}),` is set to the `,_jsx(_components.code,{children:`FirstName`}),` and `,_jsx(_components.code,{children:`LastName`}),` values for a `,_jsx(_components.a,{href:`/api-reference/users/natural-user-object-sca`,children:`Natural User`}),` or the `,_jsx(_components.code,{children:`Name`}),` value for a `,_jsx(_components.a,{href:`/api-reference/users/legal-user-object-sca`,children:`Legal User`}),`. In this case, the `,_jsx(_components.code,{children:`VirtualAccountPurpose`}),` in the API response is `,_jsx(_components.code,{children:`USER_OWNED`}),`.`]}),_jsxs(_components.p,{children:[`If the User is not KYC verified and an `,_jsx(_components.code,{children:`OWNER`}),`, then the `,_jsx(_components.code,{children:`OwnerName`}),` is set to “MGP `,_jsx(_components.code,{children:`PlatformTradingName`}),`” in standard cases, or else “Mangopay” for Marketplace Payment Extension (MPE) workflows. In this case, the `,_jsx(_components.code,{children:`VirtualAccountPurpose`}),` in the API response is `,_jsx(_components.code,{children:`COLLECTION`}),`.`]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Caution:`}),` Your platform must ensure that you use the `,_jsx(_components.code,{children:`OwnerName`}),` returned in the API response.`]})]}),_jsx(ResponseField,{name:`IBAN`,type:`string`,id:`param-iban`,children:_jsx(_components.p,{children:`The IBAN (international bank account number) of the banking alias.`})}),_jsx(ResponseField,{name:`BIC`,type:`string`,id:`param-bic`,children:_jsx(_components.p,{children:`The BIC (international identifier of the bank) for the banking alias.`})}),_jsxs(ResponseField,{name:`VirtualAccountPurpose`,type:`string`,id:`param-virtual-account-purpose`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Returned values:`}),` `,_jsx(_components.code,{children:`COLLECTION`}),`, `,_jsx(_components.code,{children:`USER_OWNED`})]}),_jsx(_components.p,{children:`The type of the virtual account:`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`COLLECTION`}),` - Owned by Mangopay and usable by platforms and/or users for the purpose of collecting and reconciling incoming funds paid by users.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`USER_OWNED`}),` - Owned by the wallet owner, enabling them to accept and store funds and make payments. Offering User-Owned Accounts requires your platform to sign the `,_jsx(_components.a,{href:`/guides/vop`,children:`VOP`}),` contract amendment.`]}),`\n`]}),_jsxs(_components.p,{children:[`For more information, see the `,_jsx(_components.a,{href:`/guides/payment-methods/banking/virtual-iban`,children:`virtual account`}),` guide.`]})]}),_jsx(ResponseField,{name:`CreditedUserId`,type:`string`,id:`param-credited-user-id`,children:_jsxs(_components.p,{children:[`The unique identifier of the user whose wallet is credited, in other words, the Owner of the wallet for which the alias is created.`,_jsx(_components.br,{}),`\n`,`Note: Once the banking alias is created, it is not possible to change the `,_jsx(_components.code,{children:`CreditedUserId`}),`.`]})}),_jsxs(ResponseField,{name:`Country`,type:`string`,id:`param-country`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Returned values:`}),` DE, DK, ES, FR, GB, LU, PL`]}),_jsx(_components.p,{children:`The country of the banking alias. The country must correspond to the currency of the wallet.`})]}),_jsxs(ResponseField,{name:`Tag`,type:`string`,id:`param-tag`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsx(_components.p,{children:`Custom data that you can add to this object.`})]}),_jsx(ResponseField,{name:`CreationDate`,type:`Unix timestamp`,id:`param-creation-date`,children:_jsx(_components.p,{children:`The date and time at which the object was created.`})}),_jsxs(ResponseField,{name:`Active`,type:`boolean`,id:`param-active`,children:[_jsx(_components.p,{children:`Whether or not the banking alias is active.`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Caution:`}),` Setting this value to `,_jsx(_components.code,{children:`false`}),` is irreversible.`]})]}),_jsxs(ResponseField,{name:`Type`,type:`string`,id:`param-type`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Returned values:`}),` `,_jsx(_components.code,{children:`IBAN`}),`, `,_jsx(_components.code,{children:`GB`})]}),_jsx(_components.p,{children:`The type of banking alias.`}),_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`GB`}),` value is only returned if the `,_jsx(_components.code,{children:`Country`}),` is `,_jsx(_components.code,{children:`GB`}),`.`]})]}),_jsxs(ResponseField,{name:`Id`,type:`string`,id:`param-id`,children:[_jsxs(_components.p,{children:[`Max length: 128 characters (see `,_jsx(_components.a,{href:`/api-reference/overview/data-formats`,children:`data formats`}),` for details)`]}),_jsx(_components.p,{children:`The unique identifier of the object.`})]}),_jsx(ResponseField,{name:`WalletId`,type:`string`,id:`param-wallet-id`,children:_jsx(_components.p,{children:`The unique identifier of the wallet.`})})]}),_jsxs(Accordion,{title:`200 - GB`,id:`200-gb`,children:[_jsxs(ResponseField,{name:`OwnerName`,type:`string`,id:`param-owner-name-1`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsxs(_components.p,{children:[`The owner of the banking alias, which is set automatically by Mangopay since September 15, 2025 (`,_jsx(_components.a,{href:`/guides/vop/payins#banking-alias-categorization`,children:`read more`}),`).`]}),_jsxs(_components.p,{children:[`If the User owning the attached wallet has `,_jsx(_components.code,{children:`UserCategory`}),` of `,_jsx(_components.code,{children:`OWNER`}),` and the `,_jsx(_components.code,{children:`KYCLevel`}),` of `,_jsx(_components.code,{children:`REGULAR`}),`, then the `,_jsx(_components.code,{children:`OwnerName`}),` is set to the `,_jsx(_components.code,{children:`FirstName`}),` and `,_jsx(_components.code,{children:`LastName`}),` values for a `,_jsx(_components.a,{href:`/api-reference/users/natural-user-object-sca`,children:`Natural User`}),` or the `,_jsx(_components.code,{children:`Name`}),` value for a `,_jsx(_components.a,{href:`/api-reference/users/legal-user-object-sca`,children:`Legal User`}),`. In this case, the `,_jsx(_components.code,{children:`VirtualAccountPurpose`}),` in the API response is `,_jsx(_components.code,{children:`USER_OWNED`}),`.`]}),_jsxs(_components.p,{children:[`If the User is not KYC verified and an `,_jsx(_components.code,{children:`OWNER`}),`, then the `,_jsx(_components.code,{children:`OwnerName`}),` is set to “MGP `,_jsx(_components.code,{children:`PlatformTradingName`}),`” in standard cases, or else “Mangopay” for Marketplace Payment Extension (MPE) workflows. In this case, the `,_jsx(_components.code,{children:`VirtualAccountPurpose`}),` in the API response is `,_jsx(_components.code,{children:`COLLECTION`}),`.`]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Caution:`}),` Your platform must ensure that you use the `,_jsx(_components.code,{children:`OwnerName`}),` returned in the API response.`]})]}),_jsx(ResponseField,{name:`IBAN`,type:`string`,id:`param-iban-1`,children:_jsx(_components.p,{children:`The IBAN (international bank account number) of the banking alias.`})}),_jsx(ResponseField,{name:`BIC`,type:`string`,id:`param-bic-1`,children:_jsx(_components.p,{children:`The BIC (international identifier of the bank) for the banking alias.`})}),_jsxs(ResponseField,{name:`VirtualAccountPurpose`,type:`string`,id:`param-virtual-account-purpose-1`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Returned values:`}),` `,_jsx(_components.code,{children:`COLLECTION`}),`, `,_jsx(_components.code,{children:`USER_OWNED`})]}),_jsx(_components.p,{children:`The type of the virtual account:`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`COLLECTION`}),` - Owned by Mangopay and usable by platforms and/or users for the purpose of collecting and reconciling incoming funds paid by users.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`USER_OWNED`}),` - Owned by the wallet owner, enabling them to accept and store funds and make payments. Offering User-Owned Accounts requires your platform to sign the `,_jsx(_components.a,{href:`/guides/vop`,children:`VOP`}),` contract amendment.`]}),`\n`]}),_jsxs(_components.p,{children:[`For more information, see the `,_jsx(_components.a,{href:`/guides/payment-methods/banking/virtual-iban`,children:`virtual account`}),` guide.`]})]}),_jsxs(ResponseField,{name:`LocalAccountDetails`,type:`object`,id:`param-local-account-details`,children:[_jsxs(_components.p,{children:[`The banking alias details in local format returned if applicable for the `,_jsx(_components.code,{children:`Country`}),` (e.g. `,_jsx(_components.code,{children:`GB`}),`), otherwise `,_jsx(_components.code,{children:`null`})]}),_jsxs(Expandable,{children:[_jsx(ResponseField,{name:`SortCode`,type:`string`,id:`param-sort-code`,children:_jsx(_components.p,{children:`The sort code of the banking alias in local format.`})}),_jsx(ResponseField,{name:`AccountNumber`,type:`string`,id:`param-account-number`,children:_jsx(_components.p,{children:`The account number of the banking alias in local format.`})})]})]}),_jsx(ResponseField,{name:`CreditedUserId`,type:`string`,id:`param-credited-user-id-1`,children:_jsxs(_components.p,{children:[`The unique identifier of the user whose wallet is credited, in other words, the Owner of the wallet for which the alias is created.`,_jsx(_components.br,{}),`\n`,`Note: Once the banking alias is created, it is not possible to change the `,_jsx(_components.code,{children:`CreditedUserId`}),`.`]})}),_jsxs(ResponseField,{name:`Country`,type:`string`,id:`param-country-1`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Returned values:`}),` DE, DK, ES, FR, GB, LU, PL`]}),_jsx(_components.p,{children:`The country of the banking alias. The country must correspond to the currency of the wallet.`})]}),_jsxs(ResponseField,{name:`Tag`,type:`string`,id:`param-tag-1`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsx(_components.p,{children:`Custom data that you can add to this object.`})]}),_jsx(ResponseField,{name:`CreationDate`,type:`Unix timestamp`,id:`param-creation-date-1`,children:_jsx(_components.p,{children:`The date and time at which the object was created.`})}),_jsxs(ResponseField,{name:`Active`,type:`boolean`,id:`param-active-1`,children:[_jsx(_components.p,{children:`Whether or not the banking alias is active.`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Caution:`}),` Setting this value to `,_jsx(_components.code,{children:`false`}),` is irreversible.`]})]}),_jsxs(ResponseField,{name:`Type`,type:`string`,id:`param-type-1`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Returned values:`}),` `,_jsx(_components.code,{children:`IBAN`}),`, `,_jsx(_components.code,{children:`GB`})]}),_jsx(_components.p,{children:`The type of banking alias.`}),_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`GB`}),` value is only returned if the `,_jsx(_components.code,{children:`Country`}),` is `,_jsx(_components.code,{children:`GB`}),`.`]})]}),_jsxs(ResponseField,{name:`Id`,type:`string`,id:`param-id-1`,children:[_jsxs(_components.p,{children:[`Max length: 128 characters (see `,_jsx(_components.a,{href:`/api-reference/overview/data-formats`,children:`data formats`}),` for details)`]}),_jsx(_components.p,{children:`The unique identifier of the object.`})]}),_jsx(ResponseField,{name:`WalletId`,type:`string`,id:`param-wallet-id-1`,children:_jsx(_components.p,{children:`The unique identifier of the wallet.`})})]})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"View a Banking Alias","api":"GET /v2.01/{ClientId}/bankingaliases/{BankingAliasId}","tag":"DEPRECATED","description":null,"href":"/api-reference/banking-aliases/view-banking-alias"}}},"mdxSourceWithNoJs":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,br:`br`,code:`code`,li:`li`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,ul:`ul`,..._provideComponents(),...props.components},{Accordion,AccordionGroup,CodeBlock,Expandable,Heading,Note,ParamField,RequestExample,ResponseExample,ResponseField,Warning}=_components;if(!Accordion)_missingMdxReference(`Accordion`,true);if(!AccordionGroup)_missingMdxReference(`AccordionGroup`,true);if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!RequestExample)_missingMdxReference(`RequestExample`,true);if(!ResponseExample)_missingMdxReference(`ResponseExample`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsxs(Warning,{children:[_jsx(_components.p,{children:_jsx(_components.strong,{children:`Deprecated – Decommissioning planned for 2027`})}),_jsx(_components.p,{children:`Mangopay plans to decommission the Banking Alias endpoints in 2027.`}),_jsxs(_components.p,{children:[`Platforms using them should plan to re-integrate using the `,_jsx(_components.a,{href:`/api-reference/virtual-accounts/virtual-account-object`,children:`Virtual Account`}),` endpoints.`]}),_jsxs(_components.p,{children:[`Existing Banking Alias objects are available via the `,_jsx(_components.a,{href:`/api-reference/virtual-accounts/view-virtual-account`,children:`GET View a Virtual Account`}),` endpoint by using the Banking Alias `,_jsx(_components.code,{children:`Id`}),` and `,_jsx(_components.code,{children:`WalletId`}),` as path parameters.`]})]}),`\n`,_jsxs(Note,{children:[_jsx(_components.p,{children:_jsx(_components.strong,{children:`Note - Payee confirmation in the UK`})}),_jsx(_components.p,{children:`When the user sets up the payee with their bank, Mangopay UK or Mangopay SA is displayed as the account holder name. You should communicate this to them to avoid confusion.`})]}),`\n`,_jsx(Heading,{level:`3`,id:`query-parameters`,children:`Query parameters`}),`\n`,_jsx(ParamField,{query:`BankingAliasId`,type:`string`,required:true,id:`param-banking-alias-id`,children:_jsx(_components.p,{children:`The unique identifier of the banking alias.`})}),`\n`,_jsx(Heading,{level:`3`,id:`responses`,children:`Responses`}),`\n`,_jsxs(AccordionGroup,{children:[_jsxs(Accordion,{title:`200 - FR`,defaultOpen:true,id:`200-fr`,children:[_jsxs(ResponseField,{name:`OwnerName`,type:`string`,id:`param-owner-name`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsxs(_components.p,{children:[`The owner of the banking alias, which is set automatically by Mangopay since September 15, 2025 (`,_jsx(_components.a,{href:`/guides/vop/payins#banking-alias-categorization`,children:`read more`}),`).`]}),_jsxs(_components.p,{children:[`If the User owning the attached wallet has `,_jsx(_components.code,{children:`UserCategory`}),` of `,_jsx(_components.code,{children:`OWNER`}),` and the `,_jsx(_components.code,{children:`KYCLevel`}),` of `,_jsx(_components.code,{children:`REGULAR`}),`, then the `,_jsx(_components.code,{children:`OwnerName`}),` is set to the `,_jsx(_components.code,{children:`FirstName`}),` and `,_jsx(_components.code,{children:`LastName`}),` values for a `,_jsx(_components.a,{href:`/api-reference/users/natural-user-object-sca`,children:`Natural User`}),` or the `,_jsx(_components.code,{children:`Name`}),` value for a `,_jsx(_components.a,{href:`/api-reference/users/legal-user-object-sca`,children:`Legal User`}),`. In this case, the `,_jsx(_components.code,{children:`VirtualAccountPurpose`}),` in the API response is `,_jsx(_components.code,{children:`USER_OWNED`}),`.`]}),_jsxs(_components.p,{children:[`If the User is not KYC verified and an `,_jsx(_components.code,{children:`OWNER`}),`, then the `,_jsx(_components.code,{children:`OwnerName`}),` is set to “MGP `,_jsx(_components.code,{children:`PlatformTradingName`}),`” in standard cases, or else “Mangopay” for Marketplace Payment Extension (MPE) workflows. In this case, the `,_jsx(_components.code,{children:`VirtualAccountPurpose`}),` in the API response is `,_jsx(_components.code,{children:`COLLECTION`}),`.`]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Caution:`}),` Your platform must ensure that you use the `,_jsx(_components.code,{children:`OwnerName`}),` returned in the API response.`]})]}),_jsx(ResponseField,{name:`IBAN`,type:`string`,id:`param-iban`,children:_jsx(_components.p,{children:`The IBAN (international bank account number) of the banking alias.`})}),_jsx(ResponseField,{name:`BIC`,type:`string`,id:`param-bic`,children:_jsx(_components.p,{children:`The BIC (international identifier of the bank) for the banking alias.`})}),_jsxs(ResponseField,{name:`VirtualAccountPurpose`,type:`string`,id:`param-virtual-account-purpose`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Returned values:`}),` `,_jsx(_components.code,{children:`COLLECTION`}),`, `,_jsx(_components.code,{children:`USER_OWNED`})]}),_jsx(_components.p,{children:`The type of the virtual account:`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`COLLECTION`}),` - Owned by Mangopay and usable by platforms and/or users for the purpose of collecting and reconciling incoming funds paid by users.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`USER_OWNED`}),` - Owned by the wallet owner, enabling them to accept and store funds and make payments. Offering User-Owned Accounts requires your platform to sign the `,_jsx(_components.a,{href:`/guides/vop`,children:`VOP`}),` contract amendment.`]}),`\n`]}),_jsxs(_components.p,{children:[`For more information, see the `,_jsx(_components.a,{href:`/guides/payment-methods/banking/virtual-iban`,children:`virtual account`}),` guide.`]})]}),_jsx(ResponseField,{name:`CreditedUserId`,type:`string`,id:`param-credited-user-id`,children:_jsxs(_components.p,{children:[`The unique identifier of the user whose wallet is credited, in other words, the Owner of the wallet for which the alias is created.`,_jsx(_components.br,{}),`\n`,`Note: Once the banking alias is created, it is not possible to change the `,_jsx(_components.code,{children:`CreditedUserId`}),`.`]})}),_jsxs(ResponseField,{name:`Country`,type:`string`,id:`param-country`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Returned values:`}),` DE, DK, ES, FR, GB, LU, PL`]}),_jsx(_components.p,{children:`The country of the banking alias. The country must correspond to the currency of the wallet.`})]}),_jsxs(ResponseField,{name:`Tag`,type:`string`,id:`param-tag`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsx(_components.p,{children:`Custom data that you can add to this object.`})]}),_jsx(ResponseField,{name:`CreationDate`,type:`Unix timestamp`,id:`param-creation-date`,children:_jsx(_components.p,{children:`The date and time at which the object was created.`})}),_jsxs(ResponseField,{name:`Active`,type:`boolean`,id:`param-active`,children:[_jsx(_components.p,{children:`Whether or not the banking alias is active.`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Caution:`}),` Setting this value to `,_jsx(_components.code,{children:`false`}),` is irreversible.`]})]}),_jsxs(ResponseField,{name:`Type`,type:`string`,id:`param-type`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Returned values:`}),` `,_jsx(_components.code,{children:`IBAN`}),`, `,_jsx(_components.code,{children:`GB`})]}),_jsx(_components.p,{children:`The type of banking alias.`}),_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`GB`}),` value is only returned if the `,_jsx(_components.code,{children:`Country`}),` is `,_jsx(_components.code,{children:`GB`}),`.`]})]}),_jsxs(ResponseField,{name:`Id`,type:`string`,id:`param-id`,children:[_jsxs(_components.p,{children:[`Max length: 128 characters (see `,_jsx(_components.a,{href:`/api-reference/overview/data-formats`,children:`data formats`}),` for details)`]}),_jsx(_components.p,{children:`The unique identifier of the object.`})]}),_jsx(ResponseField,{name:`WalletId`,type:`string`,id:`param-wallet-id`,children:_jsx(_components.p,{children:`The unique identifier of the wallet.`})})]}),_jsxs(Accordion,{title:`200 - GB`,id:`200-gb`,children:[_jsxs(ResponseField,{name:`OwnerName`,type:`string`,id:`param-owner-name-1`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsxs(_components.p,{children:[`The owner of the banking alias, which is set automatically by Mangopay since September 15, 2025 (`,_jsx(_components.a,{href:`/guides/vop/payins#banking-alias-categorization`,children:`read more`}),`).`]}),_jsxs(_components.p,{children:[`If the User owning the attached wallet has `,_jsx(_components.code,{children:`UserCategory`}),` of `,_jsx(_components.code,{children:`OWNER`}),` and the `,_jsx(_components.code,{children:`KYCLevel`}),` of `,_jsx(_components.code,{children:`REGULAR`}),`, then the `,_jsx(_components.code,{children:`OwnerName`}),` is set to the `,_jsx(_components.code,{children:`FirstName`}),` and `,_jsx(_components.code,{children:`LastName`}),` values for a `,_jsx(_components.a,{href:`/api-reference/users/natural-user-object-sca`,children:`Natural User`}),` or the `,_jsx(_components.code,{children:`Name`}),` value for a `,_jsx(_components.a,{href:`/api-reference/users/legal-user-object-sca`,children:`Legal User`}),`. In this case, the `,_jsx(_components.code,{children:`VirtualAccountPurpose`}),` in the API response is `,_jsx(_components.code,{children:`USER_OWNED`}),`.`]}),_jsxs(_components.p,{children:[`If the User is not KYC verified and an `,_jsx(_components.code,{children:`OWNER`}),`, then the `,_jsx(_components.code,{children:`OwnerName`}),` is set to “MGP `,_jsx(_components.code,{children:`PlatformTradingName`}),`” in standard cases, or else “Mangopay” for Marketplace Payment Extension (MPE) workflows. In this case, the `,_jsx(_components.code,{children:`VirtualAccountPurpose`}),` in the API response is `,_jsx(_components.code,{children:`COLLECTION`}),`.`]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Caution:`}),` Your platform must ensure that you use the `,_jsx(_components.code,{children:`OwnerName`}),` returned in the API response.`]})]}),_jsx(ResponseField,{name:`IBAN`,type:`string`,id:`param-iban-1`,children:_jsx(_components.p,{children:`The IBAN (international bank account number) of the banking alias.`})}),_jsx(ResponseField,{name:`BIC`,type:`string`,id:`param-bic-1`,children:_jsx(_components.p,{children:`The BIC (international identifier of the bank) for the banking alias.`})}),_jsxs(ResponseField,{name:`VirtualAccountPurpose`,type:`string`,id:`param-virtual-account-purpose-1`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Returned values:`}),` `,_jsx(_components.code,{children:`COLLECTION`}),`, `,_jsx(_components.code,{children:`USER_OWNED`})]}),_jsx(_components.p,{children:`The type of the virtual account:`}),_jsxs(_components.ul,{children:[`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`COLLECTION`}),` - Owned by Mangopay and usable by platforms and/or users for the purpose of collecting and reconciling incoming funds paid by users.`]}),`\n`,_jsxs(_components.li,{children:[_jsx(_components.code,{children:`USER_OWNED`}),` - Owned by the wallet owner, enabling them to accept and store funds and make payments. Offering User-Owned Accounts requires your platform to sign the `,_jsx(_components.a,{href:`/guides/vop`,children:`VOP`}),` contract amendment.`]}),`\n`]}),_jsxs(_components.p,{children:[`For more information, see the `,_jsx(_components.a,{href:`/guides/payment-methods/banking/virtual-iban`,children:`virtual account`}),` guide.`]})]}),_jsxs(ResponseField,{name:`LocalAccountDetails`,type:`object`,id:`param-local-account-details`,children:[_jsxs(_components.p,{children:[`The banking alias details in local format returned if applicable for the `,_jsx(_components.code,{children:`Country`}),` (e.g. `,_jsx(_components.code,{children:`GB`}),`), otherwise `,_jsx(_components.code,{children:`null`})]}),_jsxs(Expandable,{children:[_jsx(ResponseField,{name:`SortCode`,type:`string`,id:`param-sort-code`,children:_jsx(_components.p,{children:`The sort code of the banking alias in local format.`})}),_jsx(ResponseField,{name:`AccountNumber`,type:`string`,id:`param-account-number`,children:_jsx(_components.p,{children:`The account number of the banking alias in local format.`})})]})]}),_jsx(ResponseField,{name:`CreditedUserId`,type:`string`,id:`param-credited-user-id-1`,children:_jsxs(_components.p,{children:[`The unique identifier of the user whose wallet is credited, in other words, the Owner of the wallet for which the alias is created.`,_jsx(_components.br,{}),`\n`,`Note: Once the banking alias is created, it is not possible to change the `,_jsx(_components.code,{children:`CreditedUserId`}),`.`]})}),_jsxs(ResponseField,{name:`Country`,type:`string`,id:`param-country-1`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Returned values:`}),` DE, DK, ES, FR, GB, LU, PL`]}),_jsx(_components.p,{children:`The country of the banking alias. The country must correspond to the currency of the wallet.`})]}),_jsxs(ResponseField,{name:`Tag`,type:`string`,id:`param-tag-1`,children:[_jsx(_components.p,{children:`Max. length: 255 characters`}),_jsx(_components.p,{children:`Custom data that you can add to this object.`})]}),_jsx(ResponseField,{name:`CreationDate`,type:`Unix timestamp`,id:`param-creation-date-1`,children:_jsx(_components.p,{children:`The date and time at which the object was created.`})}),_jsxs(ResponseField,{name:`Active`,type:`boolean`,id:`param-active-1`,children:[_jsx(_components.p,{children:`Whether or not the banking alias is active.`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Caution:`}),` Setting this value to `,_jsx(_components.code,{children:`false`}),` is irreversible.`]})]}),_jsxs(ResponseField,{name:`Type`,type:`string`,id:`param-type-1`,children:[_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Returned values:`}),` `,_jsx(_components.code,{children:`IBAN`}),`, `,_jsx(_components.code,{children:`GB`})]}),_jsx(_components.p,{children:`The type of banking alias.`}),_jsxs(_components.p,{children:[`The `,_jsx(_components.code,{children:`GB`}),` value is only returned if the `,_jsx(_components.code,{children:`Country`}),` is `,_jsx(_components.code,{children:`GB`}),`.`]})]}),_jsxs(ResponseField,{name:`Id`,type:`string`,id:`param-id-1`,children:[_jsxs(_components.p,{children:[`Max length: 128 characters (see `,_jsx(_components.a,{href:`/api-reference/overview/data-formats`,children:`data formats`}),` for details)`]}),_jsx(_components.p,{children:`The unique identifier of the object.`})]}),_jsx(ResponseField,{name:`WalletId`,type:`string`,id:`param-wallet-id-1`,children:_jsx(_components.p,{children:`The unique identifier of the wallet.`})})]})]}),`\n`,_jsxs(ResponseExample,{children:[_jsx(CodeBlock,{filename:`200 - FR`,numberOfLines:`14`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`14`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"OwnerName\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Alex Smith\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"IBAN\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"FR7674521100005657670994474\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"BIC\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"MPAYFRP1PIN\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"VirtualAccountPurposeResponse\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"USER_OWNED\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"CreditedUserId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"user_m_01HSB23417BFG7YXR7E371JSEA\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"Country\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"FR\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"Tag\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Created using Mangopay API Postman Collection\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"CreationDate\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1710846581`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"Active\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"Type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"IBAN\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"Id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"wltbank_m_01HSB6E769Y3ZBYDJACSP3THGA\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"WalletId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"wlt_m_01HSB6DE1YT1EMTH0K7ASYPG96\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`200 - GB`,numberOfLines:`18`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`18`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"OwnerName\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"MGP PlatformTradingName\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"IBAN\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"GB78SAPY60838221394585\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"BIC\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`null`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"VirtualAccountPurposeResponse\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"COLLECTION\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"LocalAccountDetails\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"SortCode\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"608382\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"AccountNumber\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"21394585\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"CreditedUserId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"user_m_01JADFDBCZS25REHAF6M0NJH5G\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"Country\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"GB\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"Tag\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Created using Mangopay API Postman Collection\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"CreationDate\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1730883439`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"Active\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"Type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"GB\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"Id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"wltbank_01JC0B2JH632KTAGSM0ZBJYG7Q\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"WalletId\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"wlt_m_01JC0B1VZA7YG1J4YC21E60PZM\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]}),`\n`,_jsxs(RequestExample,{children:[_jsx(CodeBlock,{filename:`PHP`,numberOfLines:`25`,language:`php`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`php`,children:_jsxs(_components.code,{language:`php`,numberOfLines:`25`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`\u003c?`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#D4D4D4`},children:`php`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` `})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`require_once`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'vendor/autoload.php'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`;`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`use`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#D4D4D4`},children:` MangoPay\\\\`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4EC9B0`},children:`MangoPayApi`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`;`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`use`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#D4D4D4`},children:` MangoPay\\\\Libraries\\\\`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4EC9B0`},children:`ResponseException`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` as`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#D4D4D4`},children:` MGPResponseException`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`;`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:`use`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#D4D4D4`},children:` MangoPay\\\\Libraries\\\\`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4EC9B0`},children:`Exception`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` as`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#D4D4D4`},children:` MGPException`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`;`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`$api`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#569CD6`},children:` new`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#4EC9B0`},children:` MangoPayApi`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`();`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`$api`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`->`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`Config`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`->`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`ClientId`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'your-client-id'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`;`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`$api`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`->`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`Config`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`->`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`ClientPassword`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` =`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` 'your-api-key'`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`;`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`$api`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`->`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#9CDCFE`},children:`Config`}),_jsx(
[...]
